@echo off

set downloadDir=c:\lc\download

REM ###############################################
REM # test if this is a gen3 PC
REM ###############################################
set isGen3=0
set pciFile=c:\pci.txt
pcisleep -l > %pciFile%
xgrep 8086 %pciFile% > nul
if %ERRORLEVEL% == 0 set isGen3=1
set pciFile=

IF %isGen3% == 0 IF EXIST spcflash.com IF EXIST flashrom.com GOTO SETUP_GEN2

IF %isGen3% == 1 IF EXIST awd888.exe GOTO SETUP_GEN3

GOTO LOADCE

:SETUP_GEN2
  set biosFile=%downloadDir%\bios2.bin
  if not exist %biosFile% goto LOADCE
  set checkBiosCommand=flashrom.com /sFFE00000 /v %biosFile%
  set updateBiosCommand=spcflash.com %biosFile%
  GOTO CHECK_BIOS

:SETUP_GEN3
  set biosFile=%downloadDir%\bios3.bin
  if not exist %biosFile% goto LOADCE
  set updateBiosCommand=awd888.exe %biosFile% /py /sn /E
  GOTO UPDATE_BIOS

:CHECK_BIOS
  rem Determine if the BIOS firmware is current.
  echo Checking if BIOS is current ...
  %checkBiosCommand% > NUL
  IF %ERRORLEVEL% == 0 GOTO BIOSCURRENT

:UPDATE_BIOS
  set checkBiosCommand=
  echo **********************************************************
  echo **                                                      **
  echo **   Updating the BIOS.  DO NOT TURN UNIT OFF!!!        **
  echo **                                                      **
  echo **********************************************************
  %updateBiosCommand%
  set updateBiosCommand=
  DEL %biosFile%
  set biosFile=
  echo.
  echo **** BIOS flash complete! ****
  GOTO REMOVE_SCAN_RUN_FILE

:BIOSCURRENT
  echo BIOS is current.
  del %biosFile%
  GOTO LOADCE

:REMOVE_SCAN_RUN_FILE
  REM #####################################
  REM # this is to force the system to
  REM # run scandisk and reboot so the BIOS
  REM # changes will take into effect.
  REM #####################################
  set batchFile=c:\delSRF.bat
  locate scan_run /B:"del" > %batchFile%
  command.com /c %batchFile%
  del %batchFile%
  GOTO LOADCE

:LOADCE
  loadcepc /L:640x480x16 nk.bin

:DONE

